Subject: bug#70090: closed (Re: bug#70090: Build failure)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 30 Jun 2024 05:55:02 +0000

Your bug report

#70090: Build failure

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70090: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70090
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#70090: Build failure
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: Konrad Podczeck <[email-masked]>, [email-masked]
Date: Sat, 29 Jun 2024 22:53:20 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: Konrad Podczeck <[email-masked]>
>> Date: Tue, 30 Apr 2024 13:44:47 +0200
>> Cc: [email-masked]
>>
>> This time I get a build failure with /laim/list.el
>>
>> Loading leim/leim-list.el (source)...
>> Error: error ("Invalid byte opcode: op=0, ptr=0")
>>   cconv-make-interpreted-closure(nil ((progn (quail-defrule "ling2" 12295 nil t) (quail-defrule "wan2" 9675 nil
>> t))) (t) nil nil)
>>   (function (lambda nil (progn (quail-defrule "ling2" 12295 nil t) (quail-defrule "wan2" 9675 nil t))))
>>   (eval-after-load "quail/PY-b5" #'(lambda nil (progn (quail-defrule "ling2" 12295 nil t) (quail-defrule "wan2"
>> 9675 nil t))))
>>   eval-buffer(#<buffer  *load*> nil "leim/leim-list.el" nil t)
>>   load-with-code-conversion("/Users/konradpodczeck/documents/emacs/lisp/leim/leim-list.el" "leim/leim-list.el" t
>> nil)
>>   load("leim/leim-list.el" t)
>>   load("loadup.el")
>>
>> Invalid byte opcode: op=0, ptr=0
>>
>> make[1]: *** [emacs.pdmp] Error 255
>> make: *** [src] Error 2
>
> Did you clean up your source tree, as I suggested previously?  If not,
> please do.  There should be no stale *.elc files, and no stale *.o
> files.

More information was requested, but none was given within 8 weeks, so I'm
closing this bug.

If this is still an issue, please reply to this email (use "Reply to
all" in your email client) and we can reopen the bug report.

Subject: Build failure
From: Konrad Podczeck <[email-masked]>
To: [email-masked]
Date: Sat, 30 Mar 2024 15:50:23 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

With the code from today, 15.30, building Emacs failed, with the following error message:

Undefined symbols for architecture arm64:
  "_syms_of_json", referenced from:
      _main in emacs.o
ld: symbol(s) not found for architecture arm64
clang: error: linker command failed with exit code 1 (use -v to see invocation)
make[3]: *** [temacs] Error 1
make[2]: *** [src] Error 2
make[1]: *** [actual-bootstrap] Error 2
***
*** "make bootstrap" failed with exit status 2.

make[1]: *** [advice-on-failure] Error 2
make: *** [bootstrap] Error 2

Konrad Podczeck